Gantry::Utils::PerlbalFixup(3)

NAME
Gantry::Utils::PerlbalFixup - This module will set the client ip

SYNOPSIS
 #httpd.conf or some such
 #can be any Perl*Handler
 PerlInitHandler Gantry::Utils::PerlbalFixup

DESCRIPTION
This module will set the proper client ip using the X-Forwarded-For header which is set by Perlbal and other proxy methods. This module should be loaded at the PerlInitHandler or PerlReadParseHeaders phase during the request life- cycle

METHODS

  handler
The apache fixup handler. Stores the value of the X-Forwarded-For header in the remote_ip of the request's connection, so apps behind a perlbal proxy can tell who their client is.

SEE ALSO
mod_perl(3)

AUTHOR
Tim Keefer <tkeefer@gmail.com>